Package wx :: Module aui :: Class AuiManagerEvent

[frames | no frames]

## Type AuiManagerEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    AuiManagerEvent

Proxy of C++ AuiManagerEvent class

Method Summary
AuiManagerEvent | `__init__(self, type)`
bool | `CanVeto(self)`
Event | `Clone(self)`
int | `GetButton(self)`
DC | `GetDC(self)`
AuiManager | `GetManager(self)`
AuiPaneInfo | `GetPane(self)`
bool | `GetVeto(self)`
| `SetButton(self, b)`
| `SetCanVeto(self, can_veto)`
| `SetDC(self, pdc)`
| `SetManager(self, mgr)`
| `SetPane(self, p)`
| `Veto(self, veto)`

Property Summary
| `Button`: See `GetButton` and `SetButton`
| `button`
| `canveto_flag`
| `DC`: See `GetDC` and `SetDC`
| `dc`
| `manager`
| `Pane`: See `GetPane` and `SetPane`
| `pane`
| `thisown`: The membership flag
| `veto_flag`

Property Details

### Button

See `GetButton` and `SetButton`

  Get Method:
    `GetButton`(self)
  Set Method:
    `SetButton`(self, b)

### DC

See `GetDC` and `SetDC`

  Get Method:
    `GetDC`(self)
  Set Method:
    `SetDC`(self, pdc)

### Pane

See `GetPane` and `SetPane`

  Get Method:
    `GetPane`(self)
  Set Method:
    `SetPane`(self, p)

### thisown

The membership flag

  Get Method:
    unknown--1216198140(...)
  Set Method:
    unknown--1216198084(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:52 2007 | http://epydoc.sf.net